package jp.mosp.payroll.payment.action;

import jp.mosp.common.common.BaseVo;
import jp.mosp.payroll.base.PayrollAction;
import jp.mosp.payroll.payment.vo.PayrollMasterMenuVo;

public class PayrollMasterMenuAction extends PayrollAction {

	/**
	 * 画面表示コマンド
	 */
//	public static final String CMD_SHOW = "P1002";

	/**
	 * Actionの初期化を行う。<br><br>
	 * 以下の処理を行う。
	 * <ul><li>
	 * {@link PayrollAction#PayrollAction()}
	 * </li></ul>
	 */
	public PayrollMasterMenuAction() {
		super();
	}

	/* (non-Javadoc)
	 * @see jp.mosp.common.common.BaseAction#getSpecificVo()
	 */
	@Override
	protected BaseVo getSpecificVo() {
		return new PayrollMasterMenuVo();
	}

	/**
	 * アクション
	 */
	public void action() throws Exception {
		// セッション保持情報の除去
		initStoredData();
		// VO取得及び設定
		prepareVo();
	}

}
